Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# DomainA.cpp File Reference

`#include "DomainC.h"`
`#include "tao/Null_RefCount_Policy.h"`
`#include "tao/TypeCode_Constants.h"`
`#include "tao/Alias_TypeCode_Static.h"`
`#include "tao/Objref_TypeCode_Static.h"`
`#include "tao/Sequence_TypeCode_Static.h"`
`#include "tao/CDR.h"`
`#include "tao/Any.h"`
`#include "tao/Any_Impl_T.h"`
`#include "tao/Any_Dual_Impl_T.h"`

Include dependency graph for DomainA.cpp:

## Namespaces
namespace | CORBA
namespace | TAO
namespace | TAO::TypeCode
## Functions
template<>
CORBA::Boolean | Any_Impl_T< CORBA::DomainManager >::to_object (CORBA::Object_ptr &_tao_elem) const
void | operator<<= (CORBA::Any &_tao_any, CORBA::DomainManager_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::DomainManager_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::DomainManager_ptr &_tao_elem)
template<>
CORBA::Boolean | Any_Impl_T< CORBA::ConstructionPolicy >::to_object (CORBA::Object_ptr &_tao_elem) const
void | operator<<= (CORBA::Any &_tao_any, CORBA::ConstructionPolicy_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::ConstructionPolicy_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::ConstructionPolicy_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const CORBA::DomainManagerList &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, CORBA::DomainManagerList *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, CORBA::DomainManagerList *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const CORBA::DomainManagerList *&_tao_elem)
## Variables
TAO::TypeCode::Objref< char const *, TAO::Null_RefCount_Policy > | _tao_tc_CORBA_DomainManager (CORBA::tk_objref,"IDL:omg.org/CORBA/DomainManager:1.0","DomainManager")
::CORBA::TypeCode_ptr const | _tc_DomainManager
TAO::TypeCode::Objref< char const *, TAO::Null_RefCount_Policy > | _tao_tc_CORBA_ConstructionPolicy (CORBA::tk_objref,"IDL:omg.org/CORBA/ConstructionPolicy:1.0","ConstructionPolicy")
::CORBA::TypeCode_ptr const | _tc_ConstructionPolicy
TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | CORBA_DomainManagerList_0 (CORBA::tk_sequence,&CORBA::_tc_DomainManager, 0U)
::CORBA::TypeCode_ptr const | tc_CORBA_DomainManagerList_0
TAO::TypeCode::Alias< char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | _tao_tc_CORBA_DomainManagerList (CORBA::tk_alias,"IDL:omg.org/CORBA/DomainManagerList:1.0","DomainManagerList",&TAO::TypeCode::tc_CORBA_DomainManagerList_0)
::CORBA::TypeCode_ptr const | _tc_DomainManagerList

## Function Documentation

template<>
CORBA::Boolean Any_Impl_T< CORBA::ConstructionPolicy >::to_object | ( | CORBA::Object_ptr & | _tao_elem | ) | const

template<>
CORBA::Boolean Any_Impl_T< CORBA::DomainManager >::to_object | ( | CORBA::Object_ptr & | _tao_elem | ) | const

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::DomainManagerList * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const CORBA::DomainManagerList & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::ConstructionPolicy_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::ConstructionPolicy_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::DomainManager_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | CORBA::DomainManager_ptr | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const CORBA::DomainManagerList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::DomainManagerList *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::ConstructionPolicy_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | CORBA::DomainManager_ptr & | _tao_elem
| ) |

## Variable Documentation

TAO::TypeCode::Objref<char const *, TAO::Null_RefCount_Policy> _tao_tc_CORBA_ConstructionPolicy(CORBA::tk_objref,"IDL:omg.org/CORBA/ConstructionPolicy:1.0","ConstructionPolicy")`[static]`

TAO::TypeCode::Objref<char const *, TAO::Null_RefCount_Policy> _tao_tc_CORBA_DomainManager(CORBA::tk_objref,"IDL:omg.org/CORBA/DomainManager:1.0","DomainManager")`[static]`

TAO::TypeCode::Alias<char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> _tao_tc_CORBA_DomainManagerList(CORBA::tk_alias,"IDL:omg.org/CORBA/DomainManagerList:1.0","DomainManagerList",&TAO::TypeCode::tc_CORBA_DomainManagerList_0)`[static]`

TAO_Export::CORBA::TypeCode_ptr const CORBA::_tc_ConstructionPolicy

| Initial value:
        &_tao_tc_CORBA_ConstructionPolicy

TAO_Export::CORBA::TypeCode_ptr const CORBA::_tc_DomainManager

| Initial value:
        &_tao_tc_CORBA_DomainManager

TAO_Export::CORBA::TypeCode_ptr const CORBA::_tc_DomainManagerList

| Initial value:
        &_tao_tc_CORBA_DomainManagerList

TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> TAO::TypeCode::CORBA_DomainManagerList_0(CORBA::tk_sequence,&CORBA::_tc_DomainManager, 0U)

::CORBA::TypeCode_ptr const TAO::TypeCode::tc_CORBA_DomainManagerList_0

| Initial value:
          &CORBA_DomainManagerList_0